# 32/64 bit spec
#
Summary:        Plugin to configure OpenBox inside LXAppearance
Summary(de):	Plugin zum Konfigurieren von OpenBox für LXAppearance
Name:           lxappearance-obconf-plugin
Version:        0.2.3
Release:        %mkrel 1

Group:          Graphical desktop/Other
License:        GPLv2+
URL:            http://lxde.org/
Source0:        lxappearance-obconf-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  gtk+2-devel
BuildRequires:  %{_lib}openbox2-devel 
BuildRequires:	automake
BuildRequires:  lxappearance-devel
BuildRequires:  %{_lib}sm6
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libtool
Requires:       lxappearance >= 0.5.1
Requires:       openbox

%description
This plugin adds an addtional tab called "Window Border" to LXAppearance. 
It is only visible when the plugin is installed and Openbox is in use.

%description -l de
Dieses Plugin fügt einen weiteren Tab, "Window Border" genannt, zu LXAppearance
hinzu.
Dieser Tab ist nur sichtbar, wenn das Plugin installiert ist und OpenBox
benutzt wird.

%prep
%setup -q -n lxappearance-obconf-%{version}

%build
%configure2_5x --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/lxappearance/plugins/obconf.la
%find_lang %{name}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING README NEWS TODO
%{_libdir}/lxappearance/plugins/obconf.so
%{_datadir}/lxappearance/obconf/
%{_datadir}/locale/*/LC_MESSAGES/lxappearance-obconf.mo


%changelog
* Thu Feb 25 2016 ghostbunny <ghostbunny at gmx dot de> 0.2.3-1pclos2016
- 0.2.3

* Sat Jan 30 2016 ghostbunny <ghostbunny at gmx dot de> 0.2.2-3pclos2016
- rebuild against new openbox version

* Thu Jun 04 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.2-2pclos2015
- rebuild against new openbox version

* Tue Sep 16 2014 ghostbunny <ghostbunny at gmx dot de> 0.2.2-1pclos2014
- 0.2.2

* Wed Oct 23 2013 ghostbunny <ghostbunny at gmx dot de> 0.2.1-1pclos2013
- 0.2.1

* Tue May 22 2012 Neal <nealbrks0 at gmail dot com> 0.2.0-1pclos2012
- corrected BuildRequires
- process

* Tue May 22 2012 ghostbunny <ghostbunny at gmx dot de> 0.2.0-1pclos2012
- initial import for pclos
